Quassel IRC - Feature #405

client reconnect
11/13/2008 02:49 PM - Datafreak

Status: Resolved Start date:

Priority: Normal Due date:

Assignee: Sputnick % Done: 100%
Category: Quassel Client Estimated time: 0.00 hour
Target version: 0.6.0

0S: Any

Description

please add auto reconnect after the client lost the connection to core.

Associated revisions

Revision 19f7524c41eb5668f3172cfddaadd50badcd7fff - 12/07/2009 10:42 PM - Manuel Nickschas

Actually make the client/core connection settings do something

This introduces ping timeout settings and automatic reconnect. If you're using

KDE, you'll get Solid support to disconnect and reconnect as your network connection
status changes.

Thanks to sebas for the initial patch for Solid support!

Closes #405, closes #702

Revision f9f7524c - 12/07/2009 10:42 PM - Manuel Nickschas

Actually make the client/core connection settings do something

This introduces ping timeout settings and automatic reconnect. If you're using

KDE, you'll get Solid support to disconnect and reconnect as your network connection
status changes.

Thanks to sebas for the initial patch for Solid support!

Closes #405, closes #702

History

#1 - 07/07/2009 12:34 PM - mikearthur

Any status on this? I've had a dodgy connection at Akademy this week and it's rather irritating how often Quassel disconnects and doesn't reconnect.
It makes it basically unusable on connections with packet loss.

It would be great to add automatic reconnection as an option. With a little guidance | could probably write a patch for this?
#2 - 10/11/2009 07:50 PM - Sputnick
- Status changed from New to Assigned

- Assignee set to Sputnick

- Priority changed from High to Normal

#3 - 10/11/2009 07:51 PM - Sputnick

- Target version set to 0.6.0

#4 - 12/08/2009 02:56 AM - Sputnick
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset 19f7524c41eb5668f3172cfddaadd50badcd7fff.
